\NeedsTeXFormat{LaTeX2e}

\ProvidesClass{seminar}

\DeclareOption{10pt}
    {\PassOptionsToClass{\CurrentOption}{article} %
     \setlength{\hoffset}{-2.3cm} \setlength{\voffset}{-2.5 true cm}}

\DeclareOption{11pt}
    {\PassOptionsToClass{\CurrentOption}{article} %
     \setlength{\hoffset}{-1.6cm} \setlength{\voffset}{-2.3cm}}

\DeclareOption{12pt}
    {\PassOptionsToClass{\CurrentOption}{article} %
     \setlength{\hoffset}{-1.6cm} \setlength{\voffset}{-2.3cm}}


\ExecuteOptions{10pt}
\ProcessOptions

\LoadClass{article}

\RequirePackage{comment}
\RequirePackage{graphicx}
%\RequirePackage{floatflt}
\RequirePackage{ifthen}
%\RequirePackage{german}
%\RequirePackage{ngerman}
\RequirePackage[latin1]{inputenc}

\pagestyle{empty}

\frenchspacing

\setlength{\parindent}{0pt}
\setlength{\textwidth}{16.6cm}
\setlength{\textheight}{24cm}
\setlength{\hfuzz}{1mm}

\newcommand{\iconwidth}[0]{7cm} 

\newcommand{\dozent}[1]{\def\DOZENT{#1}}
\newcommand{\vorlesung}[1]{\def\VORLESUNG{#1}}
\newcommand{\semester}[1]{\def\SEMESTER{#1}}
\newcommand{\thema}[1]{\def\THEMA{#1}}
\newcommand{\person}[1]{\def\PERSON{#1}}

%\renewcommand{\rmdefault}{pwb}

\InputIfFileExists{VORLESUNG.def}{\providecommand{\DOZENT}{}}%
{\typeout{***********}
 \typeout{Warnung: Kein File vorhanden, das die Vorlesung spezifiziert!}
 \typeout{Spezifikation muss daher im Text des Blattes oder ueber die
          Tastatur erfolgen.}
 \typeout{***********}}

\newdimen\lskit

\newcommand{\kopf}[3][0]{%
{
\begin{minipage}[ht]{\iconwidth}
\includegraphics[width=\iconwidth]{Logo_RUB_BLAU_4c_clipped.pdf}
\end{minipage}\hfill
}{}
\setbox1=\hbox{\mbox{Lehrstuhl f\"ur Kryptologie und IT-Sicherheit}}
\lskit=\wd1
\begin{minipage}[ht]{\lskit}
 \mbox{Lehrstuhl f\"ur Kryptologie und IT-Sicherheit}\\
 \mbox{\DOZENT}\\
 \mbox{\VORLESUNG} \\
 \mbox{\SEMESTER} \\
 %\mbox{\VortrPerson}
\end{minipage}%

\noindent
\normalsize
\ \\
 \begin{center}
     {\LARGE\THEMA}      \\[\medskipamount]
     {\PERSON}                \\[\smallskipamount]
 \end{center}
}

\AtBeginDocument{%
%\providecommand{\VortrPerson}{}
\providecommand{\DOZENT}{\typeout{-----------}\typein{Bitte den Namen des
                                 Dozenten eingeben:}\typeout{}}
\providecommand{\VORLESUNG}{\typeout{-----------}\typein{Bitte den Titel der
                                    Vorlesung eingeben:}\typeout{}}
\providecommand{\SEMESTER}{\typeout{-----------}\typein{Bitte die Bezeichnung
                                   des Semesters eingeben:}\typeout{}}}

\endinput